package com.kingdee.eas.custom.shop;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.metadata.entity.SorterItemCollection;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.eas.xr.IXRBillBase;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public interface IStartShop extends IXRBillBase
{
    public void addnew(IObjectPK pk, StartShopInfo model) throws BOSException, EASBizException;
    public IObjectPK addnew(StartShopInfo model) throws BOSException, EASBizException;
    public void audit(IObjectPK pk) throws BOSException, EASBizException;
    public void delete(IObjectPK pk) throws BOSException, EASBizException;
    public void delete(IObjectPK[] arrayPK) throws BOSException, EASBizException;
    public IObjectPK[] delete(FilterInfo filter) throws BOSException, EASBizException;
    public IObjectPK[] delete(String oql) throws BOSException, EASBizException;
    public boolean exists(IObjectPK pk) throws BOSException, EASBizException;
    public boolean exists(FilterInfo filter) throws BOSException, EASBizException;
    public boolean exists(String oql) throws BOSException, EASBizException;
    public StartShopCollection getStartShopCollection() throws BOSException;
    public StartShopCollection getStartShopCollection(EntityViewInfo view) throws BOSException;
    public StartShopCollection getStartShopCollection(String oql) throws BOSException;
    public IObjectPK[] getPKList() throws BOSException, EASBizException;
    public IObjectPK[] getPKList(FilterInfo filter, SorterItemCollection sorter) throws BOSException, EASBizException;
    public IObjectPK[] getPKList(String oql) throws BOSException, EASBizException;
    public StartShopInfo getStartShopInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public StartShopInfo getStartShopInfo(IObjectPK pk) throws BOSException, EASBizException;
    public StartShopInfo getStartShopInfo(String oql) throws BOSException, EASBizException;
    public void update(IObjectPK pk, StartShopInfo model) throws BOSException, EASBizException;
    public void updateBigObject(IObjectPK pk, StartShopInfo model) throws BOSException;
    public void updatePartial(StartShopInfo model, SelectorItemCollection selector) throws BOSException, EASBizException;
    public String getBindingProperty() throws BOSException;
}